
TYPO3.Flow - Bug # 47416

Status: Resolved Priority: Must have
Author: Christian Müller Category: Security
Created: 2013-04-21 Assigned To: Karsten Dambekalns
Updated: 2013-04-22 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 2.0
Subject: PolicyService needs hasRole()
Description

Associated revisions
Revision 43f35845 - 2013-04-22 09:48 - Karsten Dambekalns

[BUGFIX] Add hasRole() to PolicyService

The PolicyService needs hasRole() to allow checks for existing roles
without workarounds.

Change-Id: I24af79ad5b62d78ac489aeb7b2c554dad5890703
Fixes: #47416
Releases: master, 2.0

Revision 899b0dc8 - 2013-04-22 10:29 - Karsten Dambekalns

[BUGFIX] Add hasRole() to PolicyService

The PolicyService needs hasRole() to allow checks for existing roles
without workarounds.

Change-Id: I24af79ad5b62d78ac489aeb7b2c554dad5890703
Fixes: #47416
Releases: master, 2.0

History
#1 - 2013-04-22 09:42 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Assigned To set to Karsten Dambekalns

#2 - 2013-04-22 09:42 - Karsten Dambekalns
- Category set to Security
- Has patch set to No

#3 - 2013-04-22 09:45 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20065

#4 - 2013-04-22 09:48 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20065

#5 - 2013-04-22 10:29 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20066

#6 - 2013-04-22 10:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:899b0dc8d0f4f26d3123bb2eda041f99c01717e4.
